/* You can add global styles to this file, and also import other style files */

// Fonts
@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed');
@import 'variables.scss';

html, body {
	min-height: 100%;
	width: 100%;
	margin: 0;
	padding: 0;

	background: url('/assets/images/bg.png') repeat;
	background-size: cover;
}

* {
	font-family: 'Roboto Condensed', sans-serif;
	-webkit-font-smoothing: antialiased;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

a {
	color: $common-text-color;
	text-decoration: none;
}

a.common-link {
	&:hover {
		color: #eab059;
		text-shadow: 0 0 10px #fb1717, 0 0 20px #ffcb0d, 0 0 30px #E68001;
	}
}

form {
	.input-group {

	}

	&.form-inline {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
	}

	.form-control {
		padding: 6px 8px;
		border-radius: 3px;
		border: none;

		&::placeholder {
			font-style: italic;
			color: #b7b7b7;
		}
	}
}

h3 {
	color: #eab059;
	text-shadow: 0 0 8px #fb1717, 0 0 6px #ffcb0d, 0 0 27px #E68001;
	text-transform: uppercase;
	margin: 0;
	padding: 5px 0;
}

.no-overflow {
	overflow: hidden;
}